import packageJson from '../package.json';
import process from 'node:process';
import * as dotenv from 'dotenv';

// Load `.env`
dotenv.config();
dotenv.config({path: '.env.local', override: true});

export const environment = {
	port: process.env['PORT'] ?? 3000,
	production: !process.env.NODE_ENV || ['prod', 'production'].includes(process.env.NODE_ENV.toLowerCase()),
	tickers: process.env['TICKERS']?.split(',') ?? [],
	token: process.env['TOKEN'],
	version: packageJson.version
}
